echo Decompressing SA1 files...
copy prsdec_auto.exe "..\SA1\SONICADV"
start "whatever" /D "..\SA1\SONICADV" /B /I /W "..\SA1\SONICADV\prsdec_auto.exe"

echo Copying SET and CAM files...
copy "..\SA1\SONICADV\SET*.BIN" "system\"
copy "..\SA1\SONICADV\CAM*.BIN" "system\"

echo Copying main levels...
xcopy /E /Y /EXCLUDE:exclude.txt "..\SA1\Levels\Casinopolis" "Levels\Casinopolis"
xcopy /E /Y /EXCLUDE:exclude.txt "..\SA1\Levels\Chao Race" "Levels\Chao Race"
xcopy /E /Y /EXCLUDE:exclude.txt "..\SA1\Levels\Chaos 2" "Levels\Chaos 2"
xcopy /E /Y /EXCLUDE:exclude.txt "..\SA1\Levels\Chaos 4" "Levels\Chaos 4"
xcopy /E /Y /EXCLUDE:exclude.txt "..\SA1\Levels\Chaos 6" "Levels\Chaos 6"
xcopy /E /Y /EXCLUDE:exclude.txt "..\SA1\Levels\Perfect Chaos" "Levels\Perfect Chaos"
xcopy /E /Y /EXCLUDE:exclude.txt "..\SA1\Levels\E101" "Levels\E101"
xcopy /E /Y /EXCLUDE:exclude.txt "..\SA1\Levels\EC Garden" "Levels\EC Garden"
xcopy /E /Y /EXCLUDE:exclude.txt "..\SA1\Levels\SS Garden" "Levels\SS Garden"
xcopy /E /Y /EXCLUDE:exclude.txt "..\SA1\Levels\Egg Hornet" "Levels\Egg Hornet"
xcopy /E /Y /EXCLUDE:exclude.txt "..\SA1\Levels\Egg Viper" "Levels\Egg Viper"
xcopy /E /Y /EXCLUDE:exclude.txt "..\SA1\Levels\Egg Walker" "Levels\Egg Walker"
xcopy /E /Y /EXCLUDE:exclude.txt "..\SA1\Levels\Emerald Coast" "Levels\Emerald Coast"
xcopy /E /Y /EXCLUDE:exclude.txt "..\SA1\Levels\Windy Valley" "Levels\Windy Valley"
xcopy /E /Y /EXCLUDE:exclude.txt "..\SA1\Levels\Final Egg" "Levels\Final Egg"
xcopy /E /Y /EXCLUDE:exclude.txt "..\SA1\Levels\Hot Shelter" "Levels\Hot Shelter"
xcopy /E /Y /EXCLUDE:exclude.txt "..\SA1\Levels\Ice Cap" "Levels\Ice Cap"
xcopy /E /Y /EXCLUDE:exclude.txt "..\SA1\Levels\Lost World" "Levels\Lost World"
xcopy /E /Y /EXCLUDE:exclude.txt "..\SA1\Levels\Red Mountain" "Levels\Red Mountain"
xcopy /E /Y /EXCLUDE:exclude.txt "..\SA1\Levels\Sand Hill" "Levels\Sand Hill"
xcopy /E /Y /EXCLUDE:exclude.txt "..\SA1\Levels\Sky Deck" "Levels\Sky Deck"
xcopy /E /Y /EXCLUDE:exclude.txt "..\SA1\Levels\Speed Highway" "Levels\Speed Highway"
xcopy /E /Y /EXCLUDE:exclude.txt "..\SA1\Levels\Twinkle Park" "Levels\Twinkle Park"
xcopy /E /Y /EXCLUDE:exclude.txt "..\SA1\Levels\Twinkle Circuit" "Levels\Twinkle Circuit"
xcopy /E /Y /EXCLUDE:exclude.txt "..\SA1\Levels\Windy Valley" "Levels\Windy Valley"

echo Copying Station Square landtables...
copy "..\SA1\Levels\Station Square\Act 1\LandTable.sa1lvl" "ADV00MODELS\___LANDTABLESS\0.sa1lvl"
copy "..\SA1\Levels\Station Square\Act 2\LandTable.sa1lvl" "ADV00MODELS\___LANDTABLESS\1.sa1lvl"
copy "..\SA1\Levels\Station Square\Act 3\LandTable.sa1lvl" "ADV00MODELS\___LANDTABLESS\2.sa1lvl"
copy "..\SA1\Levels\Station Square\Act 4\LandTable.sa1lvl" "ADV00MODELS\___LANDTABLESS\3.sa1lvl"
copy "..\SA1\Levels\Station Square\Act 5\LandTable.sa1lvl" "ADV00MODELS\___LANDTABLESS\4.sa1lvl"
copy "..\SA1\Levels\Station Square\Act 6\LandTable.sa1lvl" "ADV00MODELS\___LANDTABLESS\5.sa1lvl"

echo Copying Egg Carrier Outside landtables...
copy "..\SA1\Levels\Egg Carrier (Ext)\Act 1\LandTable.sa1lvl" "ADV01MODELS\___LANDTABLEEC\0.sa1lvl"
copy "..\SA1\Levels\Egg Carrier (Ext)\Act 2\LandTable.sa1lvl" "ADV01MODELS\___LANDTABLEEC\1.sa1lvl"
copy "..\SA1\Levels\Egg Carrier (Ext)\Act 3\LandTable.sa1lvl" "ADV01MODELS\___LANDTABLEEC\2.sa1lvl"
copy "..\SA1\Levels\Egg Carrier (Ext)\Act 4\LandTable.sa1lvl" "ADV01MODELS\___LANDTABLEEC\3.sa1lvl"
copy "..\SA1\Levels\Egg Carrier (Ext)\Act 5\LandTable.sa1lvl" "ADV01MODELS\___LANDTABLEEC\4.sa1lvl"
copy "..\SA1\Levels\Egg Carrier (Ext)\Act 6\LandTable.sa1lvl" "ADV01MODELS\___LANDTABLEEC\5.sa1lvl"

echo Copying Egg Carrier Inside landtables...
copy "..\SA1\Levels\Egg Carrier (Int)\Act 1\LandTable.sa1lvl" "ADV01CMODELS\___LANDTABLEEC\0.sa1lvl"
copy "..\SA1\Levels\Egg Carrier (Int)\Act 2\LandTable.sa1lvl" "ADV01CMODELS\___LANDTABLEEC\1.sa1lvl"
copy "..\SA1\Levels\Egg Carrier (Int)\Act 3\LandTable.sa1lvl" "ADV01CMODELS\___LANDTABLEEC\2.sa1lvl"
copy "..\SA1\Levels\Egg Carrier (Int)\Act 4\LandTable.sa1lvl" "ADV01CMODELS\___LANDTABLEEC\3.sa1lvl"
copy "..\SA1\Levels\Egg Carrier (Int)\Act 5\LandTable.sa1lvl" "ADV01CMODELS\___LANDTABLEEC\4.sa1lvl"
copy "..\SA1\Levels\Egg Carrier (Int)\Act 6\LandTable.sa1lvl" "ADV01CMODELS\___LANDTABLEEC\5.sa1lvl"

echo Copying Mystic Ruins landtables...
copy "..\SA1\Levels\Mystic Ruins\Act 1\LandTable.sa1lvl" "ADV02MODELS\___LANDTABLEMR\0.sa1lvl"
copy "..\SA1\Levels\Mystic Ruins\Act 2\LandTable.sa1lvl" "ADV02MODELS\___LANDTABLEMR\1.sa1lvl"
copy "..\SA1\Levels\Mystic Ruins\Act 3\LandTable.sa1lvl" "ADV02MODELS\___LANDTABLEMR\2.sa1lvl"
copy "..\SA1\Levels\Mystic Ruins\Act 4\LandTable.sa1lvl" "ADV02MODELS\___LANDTABLEMR\3.sa1lvl"

echo Copying Past landtables...
copy "..\SA1\Levels\The Past\Act 1\LandTable.sa1lvl" "ADV03MODELS\___LANDTABLEPAST\0.sa1lvl"
copy "..\SA1\Levels\The Past\Act 2\LandTable.sa1lvl" "ADV03MODELS\___LANDTABLEPAST\1.sa1lvl"
copy "..\SA1\Levels\The Past\Act 3\LandTable.sa1lvl" "ADV03MODELS\___LANDTABLEPAST\2.sa1lvl"

echo Copying Chaos 0 landtable...
copy "..\SA1\Levels\Chaos 0\LandTable.sa1lvl" "BOSSCHAOS0MODELS\___LANDTABLEBOSSCHAOS0\0.sa1lvl"

echo Copying MR Garden landtables...
copy "..\SA1\Levels\MR Garden\LandTable.sa1lvl" "CHAOSTGGARDEN02MR_DAYTIME\objLandTableGarden02_Daytime.sa1lvl"
copy "..\SA1\Levels\MR Garden\LandTable.sa1lvl" "CHAOSTGGARDEN02MR_EVENING\objLandTableGarden02_Evening.sa1lvl"
copy "..\SA1\Levels\MR Garden\LandTable.sa1lvl" "CHAOSTGGARDEN02MR_NIGHT\objLandTableGarden02_Night.sa1lvl"

echo Copying character models...
copy "..\SA1\Characters\Sonic\OBJECT_Sonic.sa1mdl" CHRMODELS\___SONIC_OBJECTS\0.sa1mdl
mkdir CHRMODELS\___SONIC_OBJECTS\Anims
copy "..\SA1\Characters\Sonic\Anims" "CHRMODELS\___SONIC_OBJECTS\Anims"
copy "..\SA1\Characters\Super Sonic\OBJECT_SuperSonic.sa1mdl" CHRMODELS\___SONIC_OBJECTS\22.sa1mdl
copy "..\SA1\Characters\Tails\OBJECT_Tails.sa1mdl" CHRMODELS\___MILES_OBJECTS\0.sa1mdl
mkdir CHRMODELS\___MILES_OBJECTS\Anims
copy "..\SA1\Characters\Tails\Anims" "CHRMODELS\___MILES_OBJECTS\Anims"
copy "..\SA1\Characters\Knuckles\OBJECT_Knuckles.sa1mdl" CHRMODELS\___KNUCKLES_OBJECTS\0.sa1mdl
mkdir CHRMODELS\___KNUCKLES_OBJECTS\Anims
copy "..\SA1\Characters\Knuckles\Anims" "CHRMODELS\___KNUCKLES_OBJECTS\Anims"
copy "..\SA1\Characters\Amy\OBJECT_Amy.sa1mdl" CHRMODELS\___AMY_OBJECTS\0.sa1mdl
mkdir CHRMODELS\___AMY_OBJECTS\Anims
copy "..\SA1\Characters\Amy\Anims" "CHRMODELS\___AMY_OBJECTS\Anims"
copy "..\SA1\Characters\Gamma\OBJECT_Gamma.sa1mdl" CHRMODELS\___E102_OBJECTS\0.sa1mdl
mkdir CHRMODELS\___E102_OBJECTS\Anims
copy "..\SA1\Characters\Gamma\Anims" "CHRMODELS\___E102_OBJECTS\Anims"
copy "..\SA1\Characters\Big\OBJECT_Big.sa1mdl" CHRMODELS\___BIG_OBJECTS\0.sa1mdl
mkdir CHRMODELS\___BIG_OBJECTS\Anims
copy "..\SA1\Characters\Big\Anims" "CHRMODELS\___BIG_OBJECTS\Anims"

echo Copying misc. landtables...
copy "..\SA1\Levels\E101 MKII\LandTable.sa1lvl" "Levels\E101R\LandTable.sa1lvl" 
copy "..\SA1\Levels\Hedgehog Hammer\Act 1\LandTable.sa1lvl" "Levels\Hedgehog Hammer\LandTable.sa1lvl"

echo Copying textures...
copy "..\SA1\SONICADV\*.PVM" "system\*.PVM"